GDB (xrefs)

Public Attributes | List of all members
mt_unwind_cache Struct Reference

## Public Attributes
CORE_ADDR | prev_sp
CORE_ADDR | frame_base
int | framesize
int | frameless_p
struct trad_frame_saved_reg * | saved_regs

## Detailed Description

Definition at line 894 of file mt-tdep.c.

## Member Data Documentation

## ◆ frame_base

CORE_ADDR mt_unwind_cache::frame_base

Definition at line 899 of file mt-tdep.c.

Referenced by mt_frame_base_address(), and mt_frame_unwind_cache().

## ◆ frameless_p

int mt_unwind_cache::frameless_p

Definition at line 901 of file mt-tdep.c.

Referenced by mt_frame_unwind_cache().

## ◆ framesize

int mt_unwind_cache::framesize

Definition at line 900 of file mt-tdep.c.

Referenced by mt_frame_unwind_cache().

## ◆ prev_sp

CORE_ADDR mt_unwind_cache::prev_sp

Definition at line 898 of file mt-tdep.c.

Referenced by mt_frame_this_id(), and mt_frame_unwind_cache().

## ◆ saved_regs

struct trad_frame_saved_reg* mt_unwind_cache::saved_regs

Definition at line 904 of file mt-tdep.c.

Referenced by mt_frame_prev_register(), and mt_frame_unwind_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/mt-tdep.c